Package | Class | Tree | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jnlp
Interface ExtendedService

    public interface ExtendedService

`ExtendedService` provides additional support to the current JNLP API, which allow applications to open a specific file in the client's file system.

Since:
  1.5

Method Summary
`FileContents` | `openFile(java.io.File file)` Asks the user the permission to open the specified file if the file has not been opened before.
`FileContents[]` | `openFiles(java.io.File[] files)` Asks the user the permission to open the specified list of files if any of the files has not been opened before.

Method Detail

### openFile

    FileContents openFile(java.io.File file)
                          throws java.io.IOException

  Asks the user the permission to open the specified file if the file has not been opened before. The contents of the file is returned as a FileContents object. The returned FileContents object contains the contents the file.

  Parameters:
    `file` - the file object
  Returns:
    A FileContent object with information about the opened file
  Throws:
    `java.io.IOException` - - if there is any I/O error

### openFiles

    FileContents[] openFiles(java.io.File[] files)
                             throws java.io.IOException

  Asks the user the permission to open the specified list of files if any of the files has not been opened before. The contents of each file is returned as a FileContents object in the FileContents array. The returned FileContents object contains the contents the file.

  Parameters:
    `files` - the array of files
  Returns:
    A FileContent[] object with information about each opened file
  Throws:
    `java.io.IOException` - - if there is any I/O error

Package | Class | Tree | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2006 Sun Microsystems, Inc. All Rights Reserved